Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1846742 - upgrading to alsa-lib-1.2.3 kills pulseaudio in multi soundcard environment
Summary: upgrading to alsa-lib-1.2.3 kills pulseaudio in multi soundcard environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1849389 1849412 1849415 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-13 10:12 UTC by Jacek Pawlyta
Modified: 2020-09-14 11:28 UTC (History)
6 users (show)

Fixed In Version: alsa-lib-1.2.3.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-22 08:10:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Jacek Pawlyta 2020-06-13 10:12:23 UTC
Description of problem:
after upgrading alsa-lib to 1.2.3 pulseaudio crashes when plugging in usb microphone with CM108 chip

Version-Release number of selected component (if applicable):
1.2.3

How reproducible:
always

Steps to Reproduce:
1. upgrade alsa-lib to version 1.2.3
2. reboot system
3. plug in USB mic


Actual results:
alsa crashes

Expected results:
alsa configures usb mic and teh mic is available through mixer

Additional info:
rolling back to alsa-lib 1.2.2 solves the problem 
https://www.linuxquestions.org/questions/slackware-14/pulse-won't-start-after-june-9-update-current-4175676829/

Comment 1 Jaroslav Kysela 2020-06-13 13:58:02 UTC
I tried another USB device and it works. Could you provide some details? Crash dump or so?

Does 'arecord' work for you?

Comment 2 Jacek Pawlyta 2020-06-14 15:17:48 UTC
arecord works,

I was wrong alsa stays alive but after the upgrade to 1.2.3 pulseaudio is killed when usb card is inserted:

===========
--Jun 14 16:47:59 ja pulseaudio[2456]: W: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
Jun 14 16:47:59 ja pulseaudio[2456]: W: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.
Jun 14 16:47:59 ja pulseaudio[2456]: E: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name is not activatable
Jun 14 16:48:38 ja pulseaudio[3556]: W: [pulseaudio] pid.c: Stale PID file, overwriting.
Jun 14 16:48:39 ja pulseaudio[3583]: W: [pulseaudio] pid.c: Stale PID file, overwriting.
Jun 14 16:48:40 ja pulseaudio[3607]: W: [pulseaudio] pid.c: Stale PID file, overwriting.
Jun 14 16:48:41 ja pulseaudio[3649]: W: [pulseaudio] pid.c: Stale PID file, overwriting.
Jun 14 16:48:42 ja pulseaudio[3672]: W: [pulseaudio] pid.c: Stale PID file, overwriting.

=============
Likely crash reason: Jump to an invalid address
Exploitable rating (0-9 scale): 6


=============
{   "signal": 11
,   "executable": "/usr/bin/pulseaudio"
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 140154788219916
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 560140
                ,   "function_name": "malloc_consolidate"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788227829
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 568053
                ,   "function_name": "_int_malloc"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788234857
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 575081
                ,   "function_name": "malloc"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788143044
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 483268
                ,   "function_name": "_IO_file_doallocate"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788203808
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 544032
                ,   "function_name": "_IO_doallocbuf"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788199516
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 539740
                ,   "function_name": "_IO_file_underflow@@GLIBC_2.2.5"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788203990
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 544214
                ,   "function_name": "_IO_default_uflow"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154788180040
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 520264
                ,   "function_name": "_IO_getc"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154491696981
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 210773
                ,   "function_name": "get_char.part.0"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154491698365
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 212157
                ,   "function_name": "get_char_skip_comments"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154491708840
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 222632
                ,   "function_name": "parse_defs"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154491710522
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 224314
                ,   "function_name": "_snd_config_load_with_include"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154491723759
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 237551
                ,   "function_name": "snd_config_update_r"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154491725438
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 239230
                ,   "function_name": "snd_config_update_ref"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154491769338
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 283130
                ,   "function_name": "snd_ctl_open"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154492225216
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 739008
                ,   "function_name": "uc_mgr_open_ctl"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154492229847
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 743639
                ,   "function_name": "get_by_card"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154492244307
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 758099
                ,   "function_name": "uc_mgr_import_master_config"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154492263700
                ,   "build_id": "00c798c69871e22f8defc1f06304108a3ec7ac9c"
                ,   "build_id_offset": 777492
                ,   "function_name": "snd_use_case_mgr_open"
                ,   "file_name": "/lib64/libasound.so.2"
                }
              , {   "address": 140154492970095
                ,   "build_id": "165fe6adc8d146daf9753fd0e38e303fe8dbf642"
                ,   "build_id_offset": 115823
                ,   "function_name": "pa_alsa_ucm_query_profiles"
                ,   "file_name": "/usr/lib64/pulse-13.99/modules/libalsa-util.so"
                }
              , {   "address": 140154493653876
                ,   "build_id": "042595d9966ca3c622d5745f3387cc23f3b4008b"
                ,   "build_id_offset": 21364
                ,   "function_name": "module_alsa_card_LTX_pa__init"
                ,   "file_name": "/usr/lib64/pulse-13.99/modules/module-alsa-card.so"
                }
              , {   "address": 140154792318353
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 210321
                ,   "function_name": "pa_module_load"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 140154493691043
                ,   "build_id": "2223d26e1b488918bea419eb3c7df41a5d50e200"
                ,   "build_id_offset": 13475
                ,   "function_name": "verify_access"
                ,   "file_name": "/usr/lib64/pulse-13.99/modules/module-udev-detect.so"
                }
              , {   "address": 140154493695203
                ,   "build_id": "2223d26e1b488918bea419eb3c7df41a5d50e200"
                ,   "build_id_offset": 17635
                ,   "function_name": "module_udev_detect_LTX_pa__init"
                ,   "file_name": "/usr/lib64/pulse-13.99/modules/module-udev-detect.so"
                }
              , {   "address": 140154792318353
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 210321
                ,   "function_name": "pa_module_load"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 140154792235812
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 127780
                ,   "function_name": "pa_cli_command_load"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 140154792268602
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 160570
                ,   "function_name": "pa_cli_command_execute_line_stateful"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 140154792270585
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 162553
                ,   "function_name": "pa_cli_command_execute_file_stream"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 94921120440868
                ,   "build_id": "5e31c73bc70cd3a791b5cd94ddcd936dad387c1c"
                ,   "build_id_offset": 33316
                ,   "function_name": "main"
                ,   "file_name": "/usr/bin/pulseaudio"
                } ]
        }
      , {   "frames":
              [ {   "address": 140154788670574
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 1010798
                ,   "function_name": "ppoll"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154792358660
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 250628
                ,   "function_name": "pa_rtpoll_run"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 140154493081877
                ,   "build_id": "165fe6adc8d146daf9753fd0e38e303fe8dbf642"
                ,   "build_id_offset": 227605
                ,   "function_name": "thread_func"
                ,   "file_name": "/usr/lib64/pulse-13.99/modules/libalsa-util.so"
                }
              , {   "address": 140154791261612
                ,   "build_id": "2e8378741b12cafcac353ce407700d13f7eaa6a1"
                ,   "build_id_offset": 365996
                ,   "function_name": "internal_thread_func"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecommon-13.99.so"
                }
              , {   "address": 140154789602354
                ,   "build_id": "d75253191e7d61f6945c8268759ab2afbabf2bc1"
                ,   "build_id_offset": 37938
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libpthread.so.0"
                }
              , {   "address": 140154788714963
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 1055187
                ,   "function_name": "__clone"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        }
      , {   "frames":
              [ {   "address": 140154788670574
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 1010798
                ,   "function_name": "ppoll"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140154792358660
                ,   "build_id": "129bba7224a6ce536403e4ea27e4248398a2a929"
                ,   "build_id_offset": 250628
                ,   "function_name": "pa_rtpoll_run"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecore-13.99.so"
                }
              , {   "address": 140154493053773
                ,   "build_id": "165fe6adc8d146daf9753fd0e38e303fe8dbf642"
                ,   "build_id_offset": 199501
                ,   "function_name": "thread_func"
                ,   "file_name": "/usr/lib64/pulse-13.99/modules/libalsa-util.so"
                }
              , {   "address": 140154791261612
                ,   "build_id": "2e8378741b12cafcac353ce407700d13f7eaa6a1"
                ,   "build_id_offset": 365996
                ,   "function_name": "internal_thread_func"
                ,   "file_name": "/usr/lib64/pulseaudio/libpulsecommon-13.99.so"
                }
              , {   "address": 140154789602354
                ,   "build_id": "d75253191e7d61f6945c8268759ab2afbabf2bc1"
                ,   "build_id_offset": 37938
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libpthread.so.0"
                }
              , {   "address": 140154788714963
                ,   "build_id": "7ca24d4dc3de9d62d9ad6bb25e5b70a3e57a342f"
                ,   "build_id_offset": 1055187
                ,   "function_name": "__clone"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        } ]
}

Comment 3 Jaroslav Kysela 2020-06-14 20:42:54 UTC
Ok, the crash is in the UCM routines - around uc_mgr_open_ctl() function.

If you install alsa-ucm-utils and run command 'alsaucm -c hw:X set _verb HiFi', do you see this crash, too? (replace X with the USB card number - list can be obtained using 'arecord -l')

Comment 4 Jaroslav Kysela 2020-06-15 13:01:11 UTC
This is really strange issue. I cannot reproduce this here (running PA under valgrind on fresh F32 install):

  D: [memcheck-amd64-] module-udev-detect.c: /dev/snd/controlC1 is accessible: yes
  D: [memcheck-amd64-] module-udev-detect.c: /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.0/sound/card1 is busy: no
  D: [memcheck-amd64-] module-udev-detect.c: Loading module-alsa-card with arguments 'device_id="1" name="usb-1130_USB_AUDIO-00" card_name="alsa_card.usb-1130_USB_AUDIO-00" namereg_fail=false tsched=yes fixed_latency_range=no   ignore_dB=no deferred_volume=yes use_ucm=yes avoid_resampling=no card_properties="module-udev-detect.discovered=1"'
  D: [memcheck-amd64-] reserve-wrap.c: Unable to contact D-Bus session bus: org.freedesktop.DBus.Error.NotSupported: Unable to autolaunch a dbus-daemon without a $DISPLAY for X11
  I: [memcheck-amd64-] (alsa-lib)main.c: error: failed to import hw:1 use case configuration -2
  I: [memcheck-amd64-] (alsa-lib)main.c: error: failed to import USB  AUDIO use case configuration -2
  I: [memcheck-amd64-] alsa-ucm.c: UCM not available for card USB  AUDIO


Steps to debug things:

  # dnf debuginfo-install alsa-lib pulseaudio --enablerepo=updates-testing,updates-testing-modular --best
  # mv /usr/bin/pulseaudio /usr/bin/pulseaudio1  # or disable respawn in the global file, I prefer rename, rename it back when finished
  # killall -9 pulseaudio
  $ valgrind -v --leak-check=yes pulseaudio1 -vvvvvvvvvvvvvvvvvvvvvvvv # run as user, not root!

My packages:

  pulseaudio-13.99.1-3.fc32.x86_64
  alsa-lib-1.2.3-8.fc32.x86_64
  alsa-ucm-1.2.3-8.fc32.noarch

It's an USB soundard with input and output. But there should not be a big difference.

Comment 5 Jacek Pawlyta 2020-06-15 16:21:25 UTC
$arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC269VC Analog [ALC269VC Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: Device [USB PnP Sound Device], device 0: USB Audio [USB Audio]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

$ sudo alsaucm -c hw:2 set _verb HiFi
ALSA lib main.c:983:(snd_use_case_mgr_open) error: failed to import hw:2 use case configuration -2
alsaucm: error failed to open sound card hw:2: No such file or directory

Comment 6 Jacek Pawlyta 2020-06-15 16:31:34 UTC
 # dnf debuginfo-install alsa-lib pulseaudio --enablerepo=updates-testing,updates-testing-modular --best  
 # mv /usr/bin/pulseaudio /usr/bin/pulseaudio1  # or disable respawn in the global file, I prefer rename, rename it back when finished
 # killall -9 pulseaudio

valgrind -v --leak-check=yes pulseaudio1 -vvvvvvvvvvvvvvvvvvvvvvvv # NO CRASH

pulseaudio-13.99.1-3.fc32.x86_64
alsa-lib-1.2.3-8.fc32.x86_64
alsa-lib-1.2.3-8.fc32.i686
alsa-ucm-1.2.3-8.fc32.noarch

pulseaudio1 # CRASH

funny, some timing problem?

Comment 7 Jacek Pawlyta 2020-06-15 16:34:26 UTC
[ 2218.624566] hid-generic 0003:0D8C:013C.0009: input,hidraw0: USB HID v1.00 Device [C-Media Electronics Inc.       USB PnP Sound Device] on usb-0000:00:14.0-1/input3
[ 2219.314470] pulseaudio1[7642]: segfault at 9 ip 00007f6783f46c0c sp 00007ffd1504be90 error 4 in libc-2.31.so[7f6783ee3000+150000]
[ 2219.314478] Code: 43 28 00 00 00 00 48 8b 54 24 08 48 89 ef 48 89 43 10 48 83 cf 01 48 89 7b 08 48 89 53 18 48 89 2c 2b 48 85 c9 74 87 48 89 cb <48> 8b 43 08 89 c1 c1 e9 04 83 e9 02 49 8d 4c cc 10 49 39 cd 0f 85

Comment 8 Jaroslav Kysela 2020-06-15 16:36:45 UTC
Yes, it appears like a memory corruption bug somewhere.

Could you try gdb ?

  $ gdb --args pulseaudio1
  (gdb) run
  ... if you hit crash ..
  (gdb) set logging on
  (gdb) set pagination off
  (gdb) bt full

Note: "set logging on" will cause GDB to write its output to a file, by default this will be gdb.txt in the current directory.

Comment 9 Jacek Pawlyta 2020-06-15 17:40:44 UTC
#0  0x00007ffff7b59c0c in malloc_consolidate () at /lib64/libc.so.6
#1  0x00007ffff7b5baf5 in _int_malloc () at /lib64/libc.so.6
#2  0x00007ffff7b5d669 in malloc () at /lib64/libc.so.6
#3  0x00007ffff7b46fc4 in _IO_file_doallocate () at /lib64/libc.so.6
#4  0x00007ffff7b55d20 in _IO_doallocbuf () at /lib64/libc.so.6
#5  0x00007ffff7b54c5c in __GI__IO_file_underflow () at /lib64/libc.so.6
#6  0x00007ffff7b55dd6 in _IO_default_uflow () at /lib64/libc.so.6
#7  0x00007ffff7b50048 in getc () at /lib64/libc.so.6
#8  0x00007fffe6090755 in get_char (input=input@entry=0x7fffffffc530) at conf.c:741
        c = <optimized out>
        fd = 0x5555555f78a0
#9  0x00007fffe6090cbd in get_char (input=0x7fffffffc530) at conf.c:779
        c = <optimized out>
        __func__ = "get_char_skip_comments"
#10 get_char_skip_comments (input=input@entry=0x7fffffffc530) at conf.c:779
        c = <optimized out>
        __func__ = "get_char_skip_comments"
#11 0x00007fffe60935a8 in get_nonwhite (input=<optimized out>) at conf.c:864
        c = <optimized out>
        c = <optimized out>
        err = <optimized out>
#12 parse_defs (parent=parent@entry=0x55555573e5f0, input=input@entry=0x7fffffffc530, skip=skip@entry=0, override=override@entry=0) at conf.c:1496
        c = <optimized out>
        err = <optimized out>
#13 0x00007fffe6093c3a in _snd_config_load_with_include (config=0x55555573e5f0, in=<optimized out>, override=override@entry=0, include_paths=include_paths@entry=0x0) at conf.c:1943
        err = <optimized out>
        input = {current = 0x5555555f78a0, unget = 0, ch = 32767}
        fd = 0x5555555f78a0
        fd_next = <optimized out>
        __PRETTY_FUNCTION__ = "_snd_config_load_with_include"
        __func__ = "_snd_config_load_with_include"
#14 0x00007fffe6093f0d in snd_config_load (config=<optimized out>, in=<optimized out>) at conf.c:2010
#15 0x00007fffe6096fef in snd_config_update_r (_top=_top@entry=0x7fffe615f108 <snd_config>, _update=_update@entry=0x7fffe615f118 <snd_config_global_update>, cfgs=cfgs@entry=0x0) at conf.c:4188
        in = 0x5555557a7c20
        err = <optimized out>
        configs = <optimized out>
        c = <optimized out>
        k = 0
        l = <optimized out>
        local = <optimized out>
        update = 0x0
        top = 0x55555573e5f0
        __PRETTY_FUNCTION__ = "snd_config_update_r"
        __func__ = "snd_config_update_r"
#16 0x00007fffe609767e in snd_config_update_ref (top=top@entry=0x7fffffffc6f0) at conf.c:4255
        err = <optimized out>
#17 0x00007fffe60a21fa in snd_ctl_open (ctlp=ctlp@entry=0x7fffffffc8e8, name=name@entry=0x5555555d9650 "hw:2", mode=mode@entry=0) at control.c:1400
        top = 0x0
        err = <optimized out>
        __PRETTY_FUNCTION__ = "snd_ctl_open"
#18 0x00007fffe61116c0 in uc_mgr_open_ctl (uc_mgr=uc_mgr@entry=0x5555556605c0, ctll=ctll@entry=0x7fffffffc940, device=device@entry=0x5555555d9650 "hw:2", slave=slave@entry=0) at utils.c:266
        pos1 = 0x555555660690
        pos2 = <optimized out>
        ctl = 0x7ffff7b5c2e0 <_int_malloc+2544>
        ctl_list = 0x64
        ctl_dev = <optimized out>
        info = 0x7fffffffc730
        id = <optimized out>
        err = <optimized out>
        card = <optimized out>
        __func__ = "uc_mgr_open_ctl"
#19 0x00007fffe61128d7 in get_card_info (info=<synthetic pointer>, ctl_name=0x5555555d9650 "hw:2", mgr=0x5555556605c0) at parser.c:1970
        ctl_list = 0x3400000010
        err = <optimized out>
        info = <optimized out>
        err = <optimized out>
#20 get_by_card (mgr=mgr@entry=0x5555556605c0, ctl_name=ctl_name@entry=0x5555555d9650 "hw:2") at parser.c:1970
        info = <optimized out>
        err = <optimized out>
#21 0x00007fffe6116153 in uc_mgr_import_master_config (uc_mgr=uc_mgr@entry=0x5555556605c0) at parser.c:2196
        cfg = 0x11810
        name = 0x5555555d9650 "hw:2"
        err = <optimized out>
        __func__ = "uc_mgr_import_master_config"
#22 0x00007fffe611ad14 in import_master_config (uc_mgr=0x5555556605c0) at main.c:981
        err = <optimized out>
        mgr = 0x5555556605c0
        err = <optimized out>
        __func__ = "snd_use_case_mgr_open"
#23 snd_use_case_mgr_open (uc_mgr=uc_mgr@entry=0x5555555f74f8, card_name=0x5555556446c0 "hw:2") at main.c:981
        mgr = 0x5555556605c0
        err = <optimized out>
        __func__ = "snd_use_case_mgr_open"
#24 0x00007fffe61c746f in pa_alsa_ucm_query_profiles (ucm=ucm@entry=0x5555555f74f0, card_index=2) at modules/alsa/alsa-ucm.c:732
        card_name = 0x5555556446c0 "hw:2"
        verb_list = 0x7fffe615f020 <pcm_dlobj_list>
        num_verbs = <optimized out>
        i = <optimized out>
        err = 0
        __func__ = "pa_alsa_ucm_query_profiles"
        __PRETTY_FUNCTION__ = "pa_alsa_ucm_query_profiles"
#25 0x00007fffe626e374 in module_alsa_card_LTX_pa__init (m=0x5555555f37d0) at modules/alsa/module-alsa-card.c:844
        data = {name = 0x5555556446c0 "hw:2", proplist = 0xa20b42920ab84100, driver = 0x555555575260 "\001", module = 0x7fffffffcbf8, profiles = 0x5555555ab5c0, ports = 0x7ffff7e1b540 <entries_flist_init>, preferred_input_port = 0x7ffff7e6d148, preferred_output_port = 0x7ffff7e2a18f <pa_run_once+31>, namereg_fail = false}
        ignore_dB = false
        u = 0x5555555f74a0
        reserve = 0x5555555f76f0
        description = <optimized out>
        profile_str = 0x0
        fn = 0x0
        namereg_fail = false
        __func__ = "module_alsa_card_LTX_pa__init"
        __PRETTY_FUNCTION__ = "module_alsa_card_LTX_pa__init"
#26 0x00007ffff7f42591 in pa_module_load (module=module@entry=0x7fffffffcbf8, c=0x555555575260, name=name@entry=0x7fffe627913d "module-alsa-card", argument=0x555555574f90 "device_id=\"2\" name=\"usb-C-Media_Electronics_Inc._USB_PnP_Sound_Device-00\" card_name=\"alsa_card.usb-C-Media_Electronics_Inc._USB_PnP_Sound_Device-00\" namereg_fail=false tsched=yes fixed_latency_range=n"...) at pulsecore/module.c:191
        m = 0x5555555f37d0
        load_once = <optimized out>
        get_deprecated = <optimized out>
        mi = <optimized out>
        errcode = <optimized out>
        __func__ = "pa_module_load"
        __PRETTY_FUNCTION__ = "pa_module_load"
#27 0x00007fffe62774a3 in verify_access (u=0x5555555abea0, d=0x5555555f3760) at modules/module-udev-detect.c:336
        m = 0x555555670480
        busy = <optimized out>
        cd = <optimized out>
        card = <optimized out>
        accessible = <optimized out>
        __func__ = "verify_access"
        __PRETTY_FUNCTION__ = "verify_access"
#28 0x00007fffe6277b85 in monitor_cb (a=0x555555573258, e=<optimized out>, fd=<optimized out>, events=<optimized out>, userdata=0x5555555abea0) at modules/module-udev-detect.c:512
        u = 0x5555555abea0
        dev = 0x555555644930
        __func__ = "monitor_cb"
        __PRETTY_FUNCTION__ = "monitor_cb"
#29 0x00007ffff7e95cd3 in pa_mainloop_dispatch () at /lib64/libpulse.so.0
#30 0x00007ffff7e96002 in pa_mainloop_iterate () at /lib64/libpulse.so.0
#31 0x00007ffff7e960a0 in pa_mainloop_run () at /lib64/libpulse.so.0
#32 0x000055555555c3af in main (argc=<optimized out>, argv=<optimized out>) at daemon/main.c:1167
        c = 0x555555575260
        buf = <optimized out>
        conf = 0x5555555705b0
        mainloop = 0x555555573200
        s = <optimized out>
        configured_address = <optimized out>
        r = <optimized out>
        retval = 0
        d = 1
        valid_pid_file = true
        ltdl_init = true
        n_fds = <optimized out>
        passed_fds = <optimized out>
        e = <optimized out>
        daemon_pipe = {-1, -1}
        daemon_pipe2 = {-1, -1}
        autospawn_fd = -1
        autospawn_locked = false
        server_lookup = <optimized out>
        lookup_service_bus = <optimized out>
        server_bus = <optimized out>
        start_server = <optimized out>
        __func__ = "main"
        __PRETTY_FUNCTION__ = "main"

Comment 10 Jaroslav Kysela 2020-06-16 16:26:33 UTC
It's not a straight info to localize the crash cause.

Do you have any special ~/.asoundrc or /etc/asound.conf or /etc/alsa/conf.d config ?

Comment 11 Jacek Pawlyta 2020-06-16 17:41:54 UTC
no ~/.asoundrc file

==============
$cat /etc/asound.conf
#
# Place your global alsa-lib configuration here...
#

==============
$ls /etc/alsa/
alsactl.conf  conf.d  state-daemon.conf



==============
$cat /etc/alsa/alsactl.conf 
#
# ALSA library configuration file for alsactl tool
# (/usr/share/alsa tree is not necessary for alsactl)
#

ctl.hw {
        @args [ CARD ]
        @args.CARD {
                type string
                default "0"
        }
        type hw
        card $CARD
}


==============
$cat /etc/alsa/state-daemon.conf 
# Remove this file to disable the alsactl daemon mode


===============
$ls /etc/alsa/conf.d/
10-rate-lav.conf  50-pulseaudio.conf  60-a52-encoder.conf  99-pulseaudio-default.conf

=============
$cat /etc/alsa/conf.d/10-rate-lav.conf 
pcm.lavrate {
        @args [ SLAVE RATE CONVERTER ]
        @args.SLAVE {
                type string
                default "plug:hw"
        }
        @args.RATE {
                type integer
                default 48000
        }
        @args.CONVERTER {
                type string
                default "lavrate"
        }
        type rate
        converter $CONVERTER
        slave {
                pcm $SLAVE
                rate $RATE
        }
        hint {
                show {
                        @func refer
                        name defaults.namehint.basic
                }
                description "Rate Converter Plugin Using Libav/FFmpeg Library"
        }
}

================
$
 cat /etc/alsa/conf.d/50-pulseaudio.conf 
# Add a specific named PulseAudio pcm and ctl (typically useful for testing)

pcm.pulse {
        @args [ DEVICE ]
        @args.DEVICE {
                type string
                default ""
        }
        type pulse
        device $DEVICE
        hint {
                show {
                        @func refer
                        name defaults.namehint.basic
                }
                description "PulseAudio Sound Server"
        }
}

ctl.pulse {
        @args [ DEVICE ]
        @args.DEVICE {
                type string
                default ""
        }
        type pulse
        device $DEVICE
}

======================= 
$cat /etc/alsa/conf.d/60-a52-encoder.conf 
pcm.a52 {
        @args [ CARD SLAVE RATE BITRATE CHANNELS ]
        @args.CARD {
                type integer
                default {
                        @func refer
                        name defaults.pcm.card
                }
        }
        @args.SLAVE {
                type string
        }
        @args.RATE {
                type integer
                default 48000
        }
        @args.BITRATE {
                type integer
                default 448
        }
        @args.CHANNELS {
                type string
                default 6
        }
        type a52
        card $CARD
        slavepcm $SLAVE
        rate $RATE
        bitrate $BITRATE
        channels $CHANNELS
        hint {
                show {
                        @func refer
                        name defaults.namehint.basic
                }
                description "Plugin to convert multichannel stream to A52 (AC3) bitstream"
        }
}

============================
$cat /etc/alsa/conf.d/99-pulseaudio-default.conf 
# Default to PulseAudio

pcm.!default {
    type pulse
    hint {
        show on
        description "Default ALSA Output (currently PulseAudio Sound Server)"
    }
}

ctl.!default {
    type pulse
}

Comment 13 Jaroslav Kysela 2020-06-18 06:49:16 UTC
*** Bug 1847508 has been marked as a duplicate of this bug. ***

Comment 14 Wolfgang Ulbrich 2020-06-18 08:30:51 UTC
Sorry, i tried your commit, but it doesn't fix my original reported problem from https://bugzilla.redhat.com/show_bug.cgi?id=1847508

"No sound with Creative Soundblaster Z since update to alsa-lib-1.2.3-8"

I don't use pulseaudio, because pulseaudio doesn't support more than a 2.0 channel setup with my card, and my card is a middle-highend PCIe card and an usb one.

So, my report wasn't about crashing pulsaudio, sadly another user hijacked my report!!

Why did you close https://bugzilla.redhat.com/show_bug.cgi?id=1847508 ?

I am happy to give more information to debug, but please ask me.

Comment 15 Fedora Update System 2020-06-18 19:10:51 UTC
FEDORA-2020-f38d4b2eab has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f38d4b2eab

Comment 16 Garrett Mitchener 2020-06-19 17:22:19 UTC
I just ran into this problem too.
If my webcam is plugged in, I get no audio.
Gnome settings shows only a dummy audio device.

I ran `dnf downgrade alsa-lib* alsa-utils* alsa-ucm* alsa-topology*` which downgraded them all from 1.2.3-3 back to 1.2.2-2 or 1.2.2-1.
After that I once again have audio. I can plug in my webcam, and speakers and microphone work.

Comment 17 Fedora Update System 2020-06-19 21:55:38 UTC
FEDORA-2020-f38d4b2eab has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f38d4b2eab`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f38d4b2eab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Jaroslav Kysela 2020-06-21 16:08:51 UTC
*** Bug 1849412 has been marked as a duplicate of this bug. ***

Comment 19 Jaroslav Kysela 2020-06-21 16:09:31 UTC
*** Bug 1849389 has been marked as a duplicate of this bug. ***

Comment 20 Fedora Update System 2020-06-22 08:10:13 UTC
FEDORA-2020-f38d4b2eab has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Jaroslav Kysela 2020-06-22 09:24:38 UTC
*** Bug 1849415 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.